%global py3build 1
%global py3dir %{_builddir}/python3-%{name}-%{version}-%{release}

Name:           python-lmiwbem
Version:        0.7.2
Release:        3%{?dist}
Summary:        Python WBEM Client
License:        LGPLv2+
URL:            https://github.com/phatina/python-lmiwbem
Source0:        https://github.com/phatina/python-lmiwbem/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  python2-devel
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme
BuildRequires:  python-sphinxcontrib-napoleon
BuildRequires:  boost-devel >= 1.50.0
BuildRequires:  boost-python >= 1.50.0
BuildRequires:  openslp-devel
BuildRequires:  tog-pegasus-devel >= 2.12.0
BuildRequires:  tog-pegasus-libs >= 2.12.0
Requires:       boost-python >= 1.50.0
Requires:       openslp
Requires:       python
Requires:       tog-pegasus-libs >= 2.12.0

Provides:       lmiwbem         = %{version}-%{release}
Provides:       lmiwbem%{?_isa} = %{version}-%{release}
Obsoletes:      lmiwbem <= 0.6.0-3

%description
%{name} is a Python library, which performs CIM operations using CIM-XML
protocol. The library tries to mimic PyWBEM.

%if %{py3build}
%package -n python3-lmiwbem
Summary:        Python3 WBEM Client
BuildRequires:  python3-devel
BuildRequires:  boost-python3-devel >= 1.50.0
Requires:       boost-python3 >= 1.50.0

%description -n python3-lmiwbem
%{summary}
%endif

%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
Provides:       lmiwbem-doc = %{version}-%{release}
Obsoletes:      lmiwbem-doc <= 0.6.0-3

%description doc
%{summary}

%prep
%setup -q -n %{name}-%{version}

%if %{py3build}
# Copy the whole directory to Python3 build
rm -fr %{py3dir}
cp -a . %{py3dir}
%endif

%build
%configure --with-doc=yes
make %{?_smp_mflags}
%if %{py3build}
# Build Python3 version
pushd %{py3dir}
%configure --with-python3
make %{?_smp_mflags}
popd
%endif

%install
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' | xargs rm -f
%if %{py3build}
# Install Python3 version
pushd %{py3dir}
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' | xargs rm -f
popd
%endif

%files
%doc COPYING README.md
%{python2_sitearch}/lmiwbem/

%if %{py3build}
%files -n python3-lmiwbem
%doc COPYING README.md
%{python3_sitearch}/lmiwbem
%endif

%files doc
%doc COPYING README.md
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/html

%changelog
* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 0.7.2-2
- rebuild for Boost 1.58

* Mon Jun 29 2015 Peter Hatina <phatina@redhat.com> - 0.7.2-1
- upgrade to 0.7.2

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar  9 2015 Peter Hatina <phatina@redhat.com> - 0.7.1-2
- introduce python3 subpackage

* Mon Mar  2 2015 Peter Hatina <phatina@redhat.com> - 0.7.1-1
- upgrade to 0.7.1
- rename to python-lmiwbem

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 0.6.0-2
- Rebuild for boost 1.57.0

* Tue Jan 13 2015 Peter Hatina <phatina@redhat.com> - 0.6.0-1
- upgrade to 0.6.0

* Thu Dec  4 2014 Peter Hatina <phatina@redhat.com> - 0.5.0-1
- upgrade to 0.5.0

* Wed Oct 29 2014 Peter Hatina <phatina@redhat.com> - 0.4.0-2
- doc: switch to rtd theme

* Wed Oct 29 2014 Peter Hatina <phatina@redhat.com> - 0.4.0-1
- upgrade to 0.4.0

* Mon Sep  1 2014 Peter Hatina <phatina@redhat.com> - 0.3.1-1
- upgrade to 0.3.1

* Wed Aug 27 2014 Peter Hatina <phatina@redhat.com> - 0.3.0-1
- upgrade to 0.3.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 31 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-11
- drop __all__ from lmiwbem.__init__.py

* Wed Jul 23 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-10
- fix CIMIndicationListener API compatibility

* Mon Jul 14 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-9
- fix missing symbol in __init__.py's __all__

* Wed Jul  9 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-8
- fix deadlocks related to Python's GIL

* Fri Jun 13 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-7
- fix build for s390(x)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jun  5 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-5
- add support for ppc(64(le)), s390(x), aarch64

* Wed May 28 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-4
- fix CIMValue type deduction

* Wed May 28 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-3
- use namespace in GetInstance() also from CIMInstanceName

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 0.2.0-2
- Rebuild for boost 1.55.0

* Wed May 21 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-1
- upgrade to 0.2.0
- introduce lmiwbem-doc package

* Wed Jan 29 2014 Peter Hatina <phatina@redhat.com> - 0.1.0-1
- initial import
